Sonochan II 0.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
S_usb_device_descriptor Struct Reference

USB Device Descriptor. More...

`#include <usb_descriptors.h>`

## Data Fields
U8 | bLength
| Size of this descriptor in bytes. More...
U8 | bDescriptorType
| DEVICE descriptor type. More...
U16 | bscUSB
| Binay Coded Decimal Spec. release. More...
U8 | bDeviceClass
| Class code assigned by the USB. More...
U8 | bDeviceSubClass
| Subclass code assigned by the USB. More...
U8 | bDeviceProtocol
| Protocol code assigned by the USB. More...
U8 | bMaxPacketSize0
| Max packet size for EP0. More...
U16 | idVendor
| Vendor ID. ATMEL = 0x03EB. More...
U16 | idProduct
| Product ID assigned by the manufacturer. More...
U16 | bcdDevice
| Device release number. More...
U8 | iManufacturer
| Index of manu. string descriptor. More...
U8 | iProduct
| Index of prod. string descriptor. More...
U8 | iSerialNumber
| Index of S.N. string descriptor. More...
U8 | bNumConfigurations
| Number of possible configurations. More...

## Detailed Description

USB Device Descriptor.

## Field Documentation

U16 S_usb_device_descriptor::bcdDevice

Device release number.

U8 S_usb_device_descriptor::bDescriptorType

DEVICE descriptor type.

U8 S_usb_device_descriptor::bDeviceClass

Class code assigned by the USB.

U8 S_usb_device_descriptor::bDeviceProtocol

Protocol code assigned by the USB.

U8 S_usb_device_descriptor::bDeviceSubClass

Subclass code assigned by the USB.

U8 S_usb_device_descriptor::bLength

Size of this descriptor in bytes.

U8 S_usb_device_descriptor::bMaxPacketSize0

Max packet size for EP0.

U8 S_usb_device_descriptor::bNumConfigurations

Number of possible configurations.

U16 S_usb_device_descriptor::bscUSB

Binay Coded Decimal Spec. release.

U16 S_usb_device_descriptor::idProduct

Product ID assigned by the manufacturer.

U16 S_usb_device_descriptor::idVendor

Vendor ID. ATMEL = 0x03EB.

U8 S_usb_device_descriptor::iManufacturer

Index of manu. string descriptor.

U8 S_usb_device_descriptor::iProduct

Index of prod. string descriptor.

U8 S_usb_device_descriptor::iSerialNumber

Index of S.N. string descriptor.

The documentation for this struct was generated from the following file:

- /mnt/data/GENTOO_FILES/home/k1ll3r/Dokumenty/Diplomka/Sonochan_II/FW_sdr_widget/sdr-widget/src/usb_descriptors.h